<div
  class="menu-light-container container
    {{if @isEditor 'is-editor'}}
    {{if this.space.currentSpace.canEdit 'is-edit-mode'}}"
>
    <Container @value={{@value.data.container}} @deviceSize={{@deviceSize}} data-name={{@value.name}}
    data-gid={{@value.gid}} data-path="{{@path}}.data.container" class="menu-light use-highlights page-col-menu">
    <div
      class="d-none"
      data-path="{{@path}}.data.components"
      data-type="menu-components"
      data-editor="menu-components"
      data-name={{@value.name}}
      data-gid={{@value.gid}}
      {{on "props-update" this.updateComponents}}
    ></div>

    {{#if this.components.showLogo}}
      <div class="logo-container">
        <Link
          @to={{this.link}}
          @space={{@model.space}}
          @isEditor={{@isEditor}}
          data-path="{{@path}}.data.logo"
          data-type="logo-button"
          data-editor="logo-button"
          data-name={{@value.name}}
          data-gid={{@value.gid}}
          class="btn
            {{page-col-class this.logo.style.classes deviceSize=@deviceSize}}"
          {{on "props-update" this.updateLogoProps}}
        >
          <ButtonPicture
            @isEditor={{@isEditor}}
            @deviceSize={{@deviceSize}}
            @value={{this.logo}}
          />
        </Link>
      </div>
    {{/if}}

    <div
      class="menu-content"
      data-path="{{@path}}.data.menu"
      data-type="menu-items"
      data-editor="menu-items"
      data-name={{@value.name}}
      data-gid={{@value.gid}}
    >
      {{#each @value.data.menu.items as |item index|}}
        <MenuItem
          @isEditor={{@isEditor}}
          @item={{item}}
          @space={{@model.space}}
          @value={{item}}
          @noContainer={{true}}
          @deviceSize={{@deviceSize}}
          @style={{get @value.data.menu.styles index}}
          @picture={{get @value.data.menu.pictures index}}
          data-path="{{@path}}.data.menu.styles.{{index}}"
          data-type="button-style"
          data-editor="button-style"
          data-name={{@value.name}}
          data-gid={{@value.gid}}
          class="btn"
        >
          {{#if @isEditor}}
            <div
              class="d-none"
              data-path="{{@path}}.data.menu.pictures.{{index}}"
              data-type="button-picture"
              data-editor="button-picture"
              data-name={{@value.name}}
              data-gid={{@value.gid}}
              data-model="page"
              data-model-id={{@model.page.id}}
            ></div>
          {{/if}}
        </MenuItem>
      {{/each}}
    </div>

    {{#if this.components.showLogin}}
      <div
        class="login-container"
        data-path="{{@path}}.data.login"
        data-type="login-button"
        data-editor="login-button"
        data-name={{@value.name}}
        data-gid={{@value.gid}}
      >
        {{#if this.session.isAuthenticated}}
          <MenuUserItemList
            class="user-drop-down"
            @bgColorClass={{this.bgColorClass}}
            @shadowClass={{this.shadowClass}}
            @textColorClass={{this.textColorClass}}
            @borderColorClass={{this.borderColorClass}}
            @styleDropDown={{true}}
            @space={{@model.space}}
            @isEditor={{@isEditor}}
            {{on "props-update" this.updateLoginProps}}
            @btnClass={{this.btnClass}}
          />
        {{else}}
          <LinkTo @route="login" class="btn {{this.btnClass}} btn-log-in">
            {{capitalize (t "sign in")}}
          </LinkTo>
        {{/if}}
      </div>
    {{/if}}
  </Container>
</div>